%define name bombermaze
%define version 0.6.6
%define release %mkrel 10

Name:           %{name}
Summary:        A GNOME-based clone of the Bomberman arcade game
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Games/Arcade
URL:            http://www.freesoftware.fsf.org/bombermaze/
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}-48.png
Source2:        %{name}-32.png
Source3:        %{name}-16.png
Patch0: bombermaze-0.6.6-gcc3.4.patch.bz2
Patch1: bombermaze-0.6.6-extra-qalification.patch
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	gnome-libs-devel
BuildRequires:  gdk-pixbuf-devel

%description
Bombermaze is a multiplayer action game in which players run around in a
square-grid maze while dropping bombs and collecting power-ups. The bombs
exlode after a short time delay, taking out any nearby bricks and players.
The last player left is the winner.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1 -b .gcc
%patch1 -p1 -b .extra_qualification

%build
export CXXFLAGS="%optflags -I/usr/include/gdk-pixbuf-1.0/"
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/bombermaze << EOF
?package(bombermaze): title="BomberMaze" longtitle="Gnome bomberman game" command="bombermaze" needs="x11" section="More Applications/Games/Arcade" icon="bombermaze.png" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
%__cp $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Games/bombermaze.desktop $RPM_BUILD_ROOT%{_datadir}/applications/

cat > $RPM_BUILD_ROOT%{_datadir}/applications/bombermaze.desktop << EOF
[Desktop Entry]
Name=BomberMaze
Comment=Gnome bomberman game
Exec=%{_bindir}/bombermaze
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

#install icon
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
install -m 644 %{SOURCE1}  $RPM_BUILD_ROOT%{_liconsdir}/bombermaze.png
install -m 644 %{SOURCE2}  $RPM_BUILD_ROOT%{_iconsdir}/bombermaze.png
install -m 644 %{SOURCE3}  $RPM_BUILD_ROOT%{_miconsdir}/bombermaze.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL ChangeLog TODO
%{_bindir}/bombermaze
%{_datadir}/gnome/apps/Games/bombermaze.desktop
%{_datadir}/gnome/help/bombermaze/*
%{_datadir}/pixmaps/bombermaze.png
%{_datadir}/bombermaze/*
%{_menudir}/bombermaze
%{_datadir}/applications/bombermaze.desktop
%{_liconsdir}/bombermaze.png
%{_iconsdir}/bombermaze.png
%{_miconsdir}/bombermaze.png

%changelog
* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.6-10mdv2007.0
- XDG

* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 0.6.6-9mdk
- fix buildrequires

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-8mdk
- patch for new g++

* Tue May 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-7mdk
- drop prefix
- fix menu section

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-6mdk
- fix buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-5mdk
- rebuild

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-4mdk
- gcc 3.2-0.3mdk build

* Fri Jul 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-3mdk
- add buildrequires
- update url

* Thu Jul 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-2mdk
- find lang macro
- gcc 3.1.1 build
- png icons

* Thu Jun 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- updated to 0.6.6

* Fri Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- updated to 0.6.4

* Mon Oct 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- updated to 0.6.3

* Mon Aug 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- new in contribs
- used srpm provided by Gtz Waschk <waschk@linux-mandrake.com>

* Thu Aug 17 2000 Gtz Waschk <waschk@linux-mandrake.com> 
- initial Mandrake package
